weapon asset

### Hierarchy

- WeaponAsset

## Index

### Constructors

- constructor

### Properties

- hash

### Accessors

- DisplayName
- Hash
- IsLoaded
- IsValid
- LocalizedName

### Methods

- dismiss
- request
- requestAsync

## Constructors

### constructor

- new WeaponAsset(hash: WeaponHash): WeaponAsset

- - Defined in weapon/WeaponAsset.ts:13

  #### Parameters

  - ##### hash: WeaponHash

  #### Returns WeaponAsset

## Properties

### Private Readonly hash

hash: WeaponHash

- Defined in weapon/WeaponAsset.ts:11

## Accessors

### DisplayName

- get DisplayName(): string

- - Defined in weapon/WeaponAsset.ts:87

  get weapon display name / label

  #### Returns string

### Hash

- get Hash(): WeaponHash

- - Defined in weapon/WeaponAsset.ts:22

  get weapon hash

  #### Returns WeaponHash

### IsLoaded

- get IsLoaded(): boolean

- - Defined in weapon/WeaponAsset.ts:40

  check weapon assets is loaded

  #### Returns boolean

### IsValid

- get IsValid(): boolean

- - Defined in weapon/WeaponAsset.ts:31

  check weapon is valid

  #### Returns boolean

### LocalizedName

- get LocalizedName(): string

- - Defined in weapon/WeaponAsset.ts:96

  get weapon localized name

  #### Returns string

## Methods

### dismiss

- dismiss(): void

- - Defined in weapon/WeaponAsset.ts:78

  unload weapon asset

  #### Returns void

### request

- request(): void

- - Defined in weapon/WeaponAsset.ts:48

  request weapon asset

  #### Returns void

### requestAsync

- requestAsync(timeout: number): Promise<boolean>

- - Defined in weapon/WeaponAsset.ts:57

  request weapon asset async

  #### Parameters

  - ##### timeout: number

  #### Returns Promise<boolean>

Generated using TypeDoc